post
https://api.sandbox.evrotrust.com/vendor/document/threads/status
/document/threads/status
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Valid values:
| Parameter | Value |
|---|---|
| "threadIDs" | ["string"] |
| "vendorNumber" | "string" |
Returned statuses:
| Value | Meaning |
|---|---|
| 1 | Pending User does not made any action yet |
| 2 | Signed "groupIsProcessing" = 0 - document/s signed "groupIsProcessing"=1 - user confirmed, system processing |
| 3 | Rejected User rejected the request |
| 4 | Expired Set dateExpire time in request passed with no user action |
| 5 | Failed System error |
| 6 | Withdrawn Request withdrawn by the sender |
| 7 | Undeliverable Request can't go to user after being in 99-On hold |
| 8 | Failed face recognition Only if bioRequired=true in the request |
| 99 | On hold Not delivered to user. Document is sent to several users & the previous signature is still pending; User has no registration or registration is not completed. |
Returned response:
Returned response:
{"threads": [
{"threadID":"string",
"threadFound": true,
"statuses": [
{"groupTransactionID":"string",
"groupIsProcessing": true,
"groupStatus": 0,
//"statusLpis":"string", (optional only for lpis request)
//"rejectReason":"string",(optional only for if user enetered such in mobile app)
"automatedSignError":"string",
//"registerCheck": 0,(optional only for OTP eSign)
"documents": [{"transactionID":"string",
"isProcessing": true,
"status": 0
}]
}]}]
}
200Document status
